import request from '@/utils/request'

// 查询SmsPhone列表
export function listSmsPhone(query) {
    return request({
        url: '/api/v1/sms-phone',
        method: 'get',
        params: query
    })
}

// 查询SmsPhone详细
export function getSmsPhone (id) {
    return request({
        url: '/api/v1/sms-phone/' + id,
        method: 'get'
    })
}


// 新增SmsPhone
export function addSmsPhone(data) {
    return request({
        url: '/api/v1/sms-phone',
        method: 'post',
        data: data
    })
}

// 修改SmsPhone
export function updateSmsPhone(data) {
    return request({
        url: '/api/v1/sms-phone/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除SmsPhone
export function delSmsPhone(data) {
    return request({
        url: '/api/v1/sms-phone',
        method: 'delete',
        data: data
    })
}

